Bug 849509 - [abrt] thunderbird-14.0-1.fc17: g_logv: Process /usr/lib64/thunderbird/thunderbird was killed by signal 5 (SIGTRAP)
[abrt] thunderbird-14.0-1.fc17: g_logv: Process /usr/lib64/thunderbird/thunde...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:9e0665c366a4cac657054b1371e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 23:23 EDT by Scott Castaline
Modified: 2012-09-10 10:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 10:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (120.17 KB, text/plain)
2012-08-19 23:23 EDT, Scott Castaline
no flags Details
File: smolt_data (4.75 KB, text/plain)
2012-08-19 23:23 EDT, Scott Castaline
no flags Details
File: maps (79.66 KB, text/plain)
2012-08-19 23:23 EDT, Scott Castaline
no flags Details
File: dso_list (15.34 KB, text/plain)
2012-08-19 23:23 EDT, Scott Castaline
no flags Details
File: build_ids (5.97 KB, text/plain)
2012-08-19 23:23 EDT, Scott Castaline
no flags Details
File: open_fds (5.58 KB, text/plain)
2012-08-19 23:23 EDT, Scott Castaline
no flags Details

  None (edit)
Description Scott Castaline 2012-08-19 23:23:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/thunderbird/thunderbird
crash_function: g_logv
executable:     /usr/lib64/thunderbird/thunderbird
kernel:         3.5.2-1.fc17.x86_64
pid:            2962
pwd:            /home/scott
remote_result:  783330
time:           Sun 19 Aug 2012 10:58:24 PM EDT
uid:            1000
username:       scott
xsession_errors: (thunderbird:2962): GLib-GIO-ERROR **: Settings schema 'apps.gecko-mediaplayer.preferences' is not installed

backtrace:      Text file, 123057 bytes
build_ids:      Text file, 6109 bytes
dso_list:       Text file, 15710 bytes
maps:           Text file, 81568 bytes
open_fds:       Text file, 5710 bytes
smolt_data:     Text file, 4867 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/scott/2

comment:
:1. Clicked on write new message from tool bar
:2. Selected person to email within address book
:3. Clicked on email address of person sending message to
:4. Thunderbird immediately crashed

core_backtrace:
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4e801 g_logv libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4e992 g_log libglib-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0xa8dbf - libgio-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x148fc - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x15d71 g_object_newv libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x16894 g_object_new libgobject-2.0.so.0 -
:c034193200c7037f88f29a6ed041137663b9f4ba 0x500b gm_pref_store_new libgmlib.so.0 -
:71063cc744219bed9b656a8be887772bb2f7628c 0x88ed GetMIMEDescription() gecko-mediaplayer-wmp.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xebe279 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xeb340a - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xeb3912 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xeb3a77 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xeb5146 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xdd1ca2 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xdcf990 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xdcf875 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xdd2838 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xdd2b46 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xdd31b4 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x6c994d - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x6cfe14 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x6d00cf - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x126170c - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x126f722 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x1245b96 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x11d3db0 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x128d821 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xf3cbe7 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0xe1dd07 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x6b22d6 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x6b4315 - libxul.so -
:363c12bebbcc84d1f79b70c7094de4666ac36104 0x6b4579 XRE_main libxul.so -
:69f51de95da87ea6a02749366dd8a6ef3bfbc368 0x23e1 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ncc1701
:GIO_LAUNCHED_DESKTOP_FILE_PID=2962
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/scott/keyring-7Fe9eC/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-shell-1904-ncc1701-thunderbird-2_TIME355355
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/scott/keyring-7Fe9eC
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=scott
:SSH_AUTH_SOCK=/run/user/scott/keyring-7Fe9eC/ssh
:GNOME_DISABLE_CRASH_DIALOG=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1666,unix/unix:/tmp/.ICE-unix/1666
:USERNAME=scott
:MOZ_APP_LAUNCHER=/usr/bin/thunderbird
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/mozilla-thunderbird.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/scott/.local/bin:/home/scott/bin
:MAIL=/var/spool/mail/scott
:QT_IM_MODULE=xim
:PWD=/home/scott
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1662
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/scott
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=scott
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Nak8HCQbOM,guid=3d5fa1d0369c38f26ceb298700000036
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/scott
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-scott-qbvh6c/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 127716               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       127716               127716               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

var_log_messages:
:Aug 19 22:58:24 ncc1701 kernel: [37417.374008] thunderbird[2962] trap int3 ip:34c524e801 sp:7fff3a57dc00 error:0
:Aug 19 22:58:26 ncc1701 abrt[29057]: Saved core dump of pid 2962 (/usr/lib64/thunderbird/thunderbird) to /var/spool/abrt/ccpp-2012-08-19-22:58:24-2962 (611696640 bytes)
Comment 1 Scott Castaline 2012-08-19 23:23:41 EDT
Created attachment 605565 [details]
File: backtrace
Comment 2 Scott Castaline 2012-08-19 23:23:42 EDT
Created attachment 605566 [details]
File: smolt_data
Comment 3 Scott Castaline 2012-08-19 23:23:44 EDT
Created attachment 605567 [details]
File: maps
Comment 4 Scott Castaline 2012-08-19 23:23:46 EDT
Created attachment 605568 [details]
File: dso_list
Comment 5 Scott Castaline 2012-08-19 23:23:47 EDT
Created attachment 605569 [details]
File: build_ids
Comment 6 Scott Castaline 2012-08-19 23:23:49 EDT
Created attachment 605570 [details]
File: open_fds
Comment 7 Jan Horak 2012-09-10 10:27:42 EDT
This isn't crash, it's a SIGTRAP which is triggered by calling g_error in debugger. 

Do you run thunderbird in debugger or with special GTK debugging environments?
Comment 8 Scott Castaline 2012-09-10 10:45:45 EDT
Neither, just normal mode.

Note You need to log in before you can comment on or make changes to this bug.